Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim
Class OntologySpaceMeasure

    java.lang.Object
      fr.inrialpes.exmo.ontosim.OntologySpaceMeasure

All Implemented Interfaces:
  Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

    public class OntologySpaceMeasure

extends Object
implements Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`private SetMeasure<Entity<?>>` | `globalMeasure`

Constructor Summary
`OntologySpaceMeasure(SetMeasure<Entity<?>> globalMeasure)`

Method Summary
`double` | `getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`private Set<Entity<?>>` | `getEntities(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1)`
`SetMeasure<Entity<?>>` | `getGlobalMeasure()`
`Measure<Entity<?>>` | `getLocalMeasure()`
`double` | `getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### globalMeasure

    private SetMeasure<Entity<?>> globalMeasure

Constructor Detail

### OntologySpaceMeasure

    public OntologySpaceMeasure(SetMeasure<Entity<?>> globalMeasure)

Method Detail

### getLocalMeasure

    public Measure<Entity<?>> getLocalMeasure()

### getEntities

    private Set<Entity<?>> getEntities(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1)

### getDissim

    public double getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                            fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

  Specified by:
    `getDissim` in interface `Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>`

### getMeasureValue

    public double getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                                  fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

  Specified by:
    `getMeasureValue` in interface `Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>`

### getSim

    public double getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                         fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

  Specified by:
    `getSim` in interface `Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>`

### getGlobalMeasure

    public SetMeasure<Entity<?>> getGlobalMeasure()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009